<?php

$this->widget('zii.widgets.CMenu', array(
    'items' => array(

        array(
            'label' => 'Добавить альбом',
            'url' => Yii::app()->controller->createUrl("",array("crudAction"=>"create")+$_GET),
            'icon'=>'icon-plus'),
    ),
    'htmlOptions' => array(
        'class' => 'nav nav-pills',
    ),
));

?>

<h1>Управление альбомами</h1>
<br/>
<?php $this->widget('BGridView', array(
    'id' => 'album-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'date',
            'value' => '$data->dateRu',
            'filter' => false,
        ),
        'i18n.name',
        array(
            'class' => 'CButtonColumn',
            'template' => '{update} {delete}',
            'updateButtonUrl' => 'Yii::app()->controller->createUrl("",array("crudAction"=>"update", "id"=>$data->primaryKey)+$_GET)',
            'deleteButtonUrl' => 'Yii::app()->controller->createUrl("",array("crudAction"=>"delete", "id"=>$data->primaryKey)+$_GET)',
            'htmlOptions'=>array('style'=>'width:50px !important;'),
        ),
    ),
)); ?>
