<?php


$this->widget('zii.widgets.CMenu', array(
    'items' => array(
        array('label' => 'Добавить вопрос',
            'url' => Yii::app()->controller->createUrl("",array("crudAction"=>"create")+$_GET),
            'icon' => 'icon-plus', 'active' => false),
    ),
    'htmlOptions' => array(
        'class' => 'nav nav-pills',
    ),
));
?>

<h1>Управление списком вопросов</h1>
<br/>
<?php $this->widget('BGridView', array(
    'id' => 'question-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'question_category_id',
            'value' => '$data->questionCategory->i18n->name',
            'filter' => CHtml::activeDropDownList(
                $model,
                'question_category_id',
                array('' => 'Все') + $model->getQuestionCategories()
            )

        ),
        'i18n.question',
        array(
            'class' => 'CButtonColumn',
            'template' => '{update} {delete}',
            'updateButtonUrl' => 'Yii::app()->controller->createUrl("",array("crudAction"=>"update", "id"=>$data->primaryKey)+$_GET)',
            'deleteButtonUrl' => 'Yii::app()->controller->createUrl("",array("crudAction"=>"delete", "id"=>$data->primaryKey)+$_GET)',
            'htmlOptions'=>array('style'=>'width:50px !important;'),
        ),
    ),
)); ?>
