<?php

$this->widget('zii.widgets.CMenu', array(
    'items' => array(
        array('label' => 'Упорядочить комплекты тюнинга',
            'url' => Yii::app()->controller->createUrl("",array("crudAction"=>"order")+$_GET),
            'icon' => 'icon-resize-vertical', 'active' =>false),
        array('label' => 'Добавить комплект тюнинга',
            'url' => Yii::app()->controller->createUrl("", array("crudAction" => "create") + $_GET),
            'icon' => 'icon-plus', 'active' => false),
    ),
    'htmlOptions' => array(
        'class' => 'nav nav-pills',
    ),
));
?>

<h1>Управление комплектами тюнинга</h1>
<br/>
<?php $this->widget('BGridView', array(
    'id' => 'tuning-set-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
//        'id',
//        'tuning_model_id',

        array(
            'name' => 'tuning_model_id',
            'value' => '$data->tuningModel->i18n->name',
            'filter' => CHtml::activeDropDownList($model, 'tuning_model_id', array('' => 'Все') + $model->getTuningModels())
        ),
        'i18n.name',
//        'gallery_id',
//        'link',
//        'contacts_data',
        array(
            'class' => 'CButtonColumn',
            'template' => '{update} {delete}',
            'updateButtonUrl' => 'Yii::app()->controller->createUrl("",array("crudAction"=>"update", "id"=>$data->primaryKey)+$_GET)',
            'deleteButtonUrl' => 'Yii::app()->controller->createUrl("",array("crudAction"=>"delete", "id"=>$data->primaryKey)+$_GET)',
            'htmlOptions'=>array('style'=>'width:50px !important;'),
        ),
    ),
)); ?>
