<?php
/**
 * @var $this Controller
 */
?>



<div class="slider-wrapper"  id="inner-page-slider">
    <div class="slides-container" style="height: 115px; overflow: hidden;">
        <?php foreach ($this->getHeaderPhotos() as $slide): ?>
        <div class="slide">
            <!--  <a href="#"><img src="/images-test/slide-test.png" alt=""></a>-->
            <?php echo CHtml::image($slide->getUrl('gallery'),$slide->i18n->name)?>
        </div>
        <?php endforeach;?>
    </div>
</div>

<?php
/** @var $cs CClientScript */
$cs = Yii::app()->getClientScript();
$cs->registerScriptFile('/js/slides.min.jquery.js');
$src = <<<JS
$('#inner-page-slider').slides({
    'container':'slides-container',
    'next':'next',
    'prev':'prev',
    'paginationClass':'slide-pagination',
    'currentClass':'active',
    'generatePagination':false,
    'play': 10000,
    'pause': 1500,
    'hoverPause': false
});
JS;

$cs->registerScript('main-page-gallery', $src);
?>