<?php

class ServiceParamsController extends AdminController
{

    public function actions()
    {
        return array(
            'general' => array(
                'class' => 'StaticDataEditor',

                'submitLabel' => 'Сохранить',
                'section' => 'service',
                'key' => 'general',
                'view' => '/static_editor',
                'model' => array(
                    'schema' => array(
                        'gallery_id' => array(
                            'label' => 'Слайды под шапкой',
                            'default' => '',
                        ),
                        'contacts' => array(
                            'label' => 'Контакты для страниц раздела(по умолчанию)',
                            'default' => '',
                        ),
                    ),
                    'rules' => array(),
                ),
                'form' => array(
                    array(
                        'type' => 'inputWidget',
                        'class' => 'ContactsSelect',
                        'attribute' => 'contacts',
                        'config' => array(),
                    ),
                    array(
                        'type' => 'inputWidget',
                        'class' => 'GalleryInput',
                        'attribute' => 'gallery_id',
                        'config' => array(
                            'versions' => array(
                                'gallery' => array(
                                    'centeredpreview' => array(1008, 115),
                                )
                            ),
                            'name' => true,
                            'description' => true,
                            'htmlOptions' => array('style' => 'float:left'),
                        ),
                    ),
                ),
                'i18nModel' => array(
                    'schema' => array(
                    ),
                    'rules' => array(),
                ),
                'i18nForm' => array(
                ),
            ),
        );
    }

    public function getSideMenu()
    {
        $res = array(
            array(
                'label' => 'Страницы',
                'items' => array(
                    array(
                        'label' => 'Общие параметры раздела',
                        'url' => array('/' . $this->module->id . '/' . $this->id . '/general'),
                        'icon' => 'icon-file',
                        'active' => '/' . $this->module->id . '\/' . $this->id . '\/general/',
                    ),
                ),
            ),
        );
        return $res;
    }
}

