<?php
/**
 * Created by JetBrains PhpStorm.
 * User: z_bodya
 * Date: 4/5/12
 * Time: 4:59 PM
 * To change this template use File | Settings | File Templates.
 */
class SitePagesController extends AdminController
{

    public function actions()
    {
        return array(
            'index' => array(
                'class' => 'StaticPageEditor',

                'submitLabel' => 'Сохранить',
                'section' => 'site',
                'key' => 'index',
                'view' => '/static_editor',
                'model' => array(
                    'schema' => array(
                        'gallery_id' => array(
                            'label' => 'Слайды под шапкой',
                            'default' => '',
                        ),
                    ),
                    'rules' => array(),
                ),
                'form' => array(
                    array(
                        'type' => 'inputWidget',
                        'class' => 'GalleryInput',
                        'attribute' => 'gallery_id',
                        'config' => array(
                            'versions' => array(
                                'gallery' => array(
                                    'centeredpreview' => array(1008, 401),
                                )
                            ),
                            'name' => true,
                            'description' => true,
                            'link' => true,
                            'htmlOptions' => array('style' => 'float:left'),
                        ),
                    ),
                ),
                'i18nModel' => array(
                    'schema' => array(
                        'about' => array(
                            'label' => 'О компании',
                            'default' => null,
                        ),
                    ),
                    'rules' => array(),
                ),
                'i18nForm' => array(
                    array(
                        'type' => 'inputWidget',
                        'class' => 'TinyMce',
                        'attribute' => 'about',
                        'config' => array(),
                    ),
                ),
            ),
            'contact' => array(
                'class' => 'StaticPageEditor',

                'submitLabel' => 'Сохранить',
                'section' => 'site',
                'key' => 'contact',
                'view' => '/static_editor',
                'model' => array(
                    'schema' => array(
                    ),
                    'rules' => array(),
                ),
                'form' => array(
                ),
                'i18nModel' => array(
                    'schema' => array(
                        'map' => array(
                            'label' => 'Карта',
                            'default' => null,
                        ),
                        'content' => array(
                            'label' => 'Содержимое',
                            'default' => null,
                        ),
                    ),
                    'rules' => array(),
                ),
                'i18nForm' => array(
                    array(
                        'type' => 'simpleInput',
                        'name' => 'textArea',
                        'attribute' => 'map',
                    ),
                    array(
                        'type' => 'inputWidget',
                        'class' => 'TinyMce',
                        'attribute' => 'content',
                        'config' => array(),
                    ),
                ),
            ),
        );
    }

    public function getSideMenu()
    {
        $res = array(
            array(
                'label' => 'Страницы',
                'items' => array(
                    array(
                        'label' => 'Главная страница',
                        'url' => array('/' . $this->module->id . '/' . $this->id . '/index'),
                        'icon' => 'icon-file',
                        'active' => '/' . $this->module->id . '\/' . $this->id . '\/index/',
                    ),
                    array(
                        'label' => 'Контакты',
                        'url' => array('/' . $this->module->id . '/' . $this->id . '/contact'),
                        'icon' => 'icon-file',
                        'active' => '/' . $this->module->id . '\/' . $this->id . '\/contact/',
                    ),
                ),
            ),
        );
        return $res;
    }
}

