<?php
/**
 * @var $this NodeController
 * @var TextPage $model
 * @var TextPageI18n[] $i18nModels
 */
?>

<div class="form">

    <?php
    /**
     * @var BHorizontalForm $form
     */
    ?>

    <?php $form = $this->beginWidget('BHorizontalForm', array(
    'id' => 'service-form',
    'enableAjaxValidation' => false,
    'htmlOptions' => array(
        'enctype' => 'multipart/form-data',
    ),
)); ?>
    <!--
    <p class="note">Fields with <span class="required">*</span> are required.</p>

    <?php echo $form->errorSummary($model); ?>

    -->

    <h2>Галерея под шапкой сайта</h2>
    <?php
    if ($model->galleryBehavior->getGallery() === null) {
        ?>
        <p>Для управления галереей сохраните обьект</p>
        <?php
    } else {
        $this->widget('GalleryManager', array(
            'htmlOptions' => array('style' => 'float:left;'),
            'gallery' => $model->galleryBehavior->getGallery(),
        ));
        echo '<br style="clear: both;"/><br/><br/>';
    }
    ?>

    <?php
    /**
     * @var BTabs $tabs
     */
    $tabs = $this->beginWidget('BTabs');
    foreach ($i18nModels as $lang => $i18nModel):
        ?>
        <?php $tabs->beginTab(Yii::app()->params['languageNames'][$lang]) ?>
        <div class="control-group <?php echo ($i18nModel->hasErrors('page_name') ? ' error' : '') ?>">
            <?php echo $form->label($i18nModel, 'page_name', array('class' => 'control-label'))?>
            <div class="controls">
                <?php echo $form->textField($i18nModel, "[$lang]page_name", array('size' => 60, 'maxlength' => 512)); ?>
                <?php echo $form->error($i18nModel, 'page_name'); ?>
            </div>
        </div>

        <?php echo $form->beginFieldset('СЕО Параметры'); ?>

        <div class="control-group <?php echo ($i18nModel->hasErrors('title') ? ' error' : '') ?>">
            <?php echo $form->label($i18nModel, 'title', array('class' => 'control-label'))?>
            <div class="controls">
                <?php echo $form->textField($i18nModel, "[$lang]title", array('size' => 60, 'maxlength' => 512,'class'=>'input-xxlarge')); ?>
                <?php echo $form->error($i18nModel, 'title'); ?>
            </div>
        </div>

        <div class="control-group <?php echo ($i18nModel->hasErrors('keywords') ? ' error' : '') ?>">
            <?php echo $form->label($i18nModel, 'keywords', array('class' => 'control-label'))?>
            <div class="controls">
                <?php echo $form->textArea($i18nModel, "[$lang]keywords", array('rows' => 6, 'cols' => 50,'class'=>'input-xxlarge')); ?>
                <?php echo $form->error($i18nModel, 'keywords'); ?>
            </div>
        </div>

        <div class="control-group <?php echo ($i18nModel->hasErrors('description') ? ' error' : '') ?>">
            <?php echo $form->label($i18nModel, 'description', array('class' => 'control-label'))?>
            <div class="controls">
                <?php echo $form->textArea($i18nModel, "[$lang]description", array('rows' => 6, 'cols' => 50,'class'=>'input-xxlarge')); ?>
                <?php echo $form->error($i18nModel, 'description'); ?>
            </div>
        </div>

        <?php echo $form->endFieldset(); ?>

        <?php $tabs->endTab() ?>
        <?php
    endforeach;
    $this->endWidget();
    ?>

    <div class="form-actions">
        <button type="submit" class="btn btn-large btn-primary">
            <?php echo ($model->isNewRecord ? 'Создать' : 'Сохранить'); ?>
        </button>
    </div>

    <?php $this->endWidget(); ?>

</div><!-- form -->
