<?php


class SaleRootType implements INodeType
{

    public function getName()
    {
        return 'Машины на продажу';
    }

    public function isRootNode()
    {
        return true;
    }

    public function getNestedTypes()
    {
        return array(
//            'textSection',
        );
    }


    public function getActions()
    {
        return array(
            'editSaleRoot',
            'vehicle',
        );
    }

    public function actionLabels(){
        return array(
            'editSaleRoot'=>'Данные страницы',
            'vehicle'=>'Машины',
        );
    }

    public function createAction($name, $controller, $id = null)
    {
        if($id===null)$id = $name;
        require __DIR__ . '/actions/' . ucfirst($name) . 'Action.php';
        $actionClass = ucfirst($name) . 'Action';
        return new $actionClass($controller, $id);
    }

    /**
     * @return string
     */
    public function getDefaultAction()
    {
        return 'editSaleRoot';
    }


    public function deleteData($id)
    {
        $model = SaleRoot::model()->findByPk($id);
        if($model != null) $model->delete();
    }
}
