<?php

$this->widget('zii.widgets.CMenu', array(
    'items' => array(
        array('label' => 'Упорядочить марки авто',
            'url' => Yii::app()->controller->createUrl("", array("crudAction" => "order") + $_GET),
            'icon' => 'icon-resize-vertical', 'active' => false),
        array('label' => 'Добавить марку авто',
            'url' => Yii::app()->controller->createUrl("", array("crudAction" => "create") + $_GET),
            'icon' => 'icon-plus', 'active' => false),
    ),
    'htmlOptions' => array(
        'class' => 'nav nav-pills',
    ),
));
?>

<h1>Управление марками авто</h1>
<br/>
<?php $this->widget('BGridView', array(
    'id' => 'work-brand-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        //'id',
        'i18n.name',
//        'link',
//        'contacts_data',
        array(
            'class' => 'CButtonColumn',
            'template' => '{update} {delete}',
            'updateButtonUrl' => 'Yii::app()->controller->createUrl("",array("crudAction"=>"update", "id"=>$data->primaryKey)+$_GET)',
            'deleteButtonUrl' => 'Yii::app()->controller->createUrl("",array("crudAction"=>"delete", "id"=>$data->primaryKey)+$_GET)',
            'htmlOptions' => array('style' => 'width:50px !important;'),
        ),
    ),
)); ?>
