<?php
/**
 * @var $this SaleController
 * @var $contacts Contact[]
 * @var $vehicles Vehicle[]
 */
?>
<?php $this->renderPartial('//snippets/headerGallery');?>
<!-- header end-->
<div class="wrapper content-wrapper">
    <div class="col-wrapper">
        <div class="col10">
            <h1><?php echo CHtml::encode($this->pageName)?></h1>

            <div class="for-sale-list">
                <?php foreach ($vehicles as $vehicle): ?>
                <div class="for-sale-item">
                    <div class="for-sale-image">
                        <?php echo CHtml::link(CHtml::image($vehicle->imageBehavior->getFileUrl('preview'),$vehicle->i18n->name), array('sale/view', 'link' => $vehicle->link))?>
                    </div>
                    <div class="for-sale-desc">
                        <p><?php echo CHtml::link($vehicle->i18n->name, array('sale/view', 'link' => $vehicle->link))?></p>
                        <?php echo $vehicle->i18n->short?>
                    </div>
                </div>
                <?php endforeach?>
            </div>
        </div>
        <div class="col2">
            <p class="section-title"><?php echo Yii::t('site','Есть вопросы?');?></p>

            <div class="text-content">
                <?php echo Yii::t('site','Обращайтесь к вашему персональному консультанту (машины на продажу)!');?>
            </div>
            <?php $this->renderPartial('//snippets/sidebarContacts');?>
        </div>
    </div>
</div>