<?php
/**
 * @var $this Controller
 */

?>
<div class="logo">
    <?php echo CHtml::link('<img src="' . Yii::app()->request->baseUrl . '/img/logo.png" alt="Auto-Life"/>', array('site/index'));?>
</div>
<div class="service-header">
    <div class="service-header-top">
        <div class="lang-nav">
            <?php
            $this->widget('zii.widgets.CMenu', array(
                'items' => array(
                    // array(
                    //     'url' => $this->createUrl('', array_merge($_GET, array('lang' => 'uk'))),
                    //     'label' => '',
                    //     'itemOptions'=>array('class'=>'urk'),
                    //     'active' => Yii::app()->language == 'uk'
                    // ),
                    array(
                        'url' => $this->createUrl('', array_merge($_GET, array('lang' => 'ru'))),
                        'label' => '',
                        'itemOptions' => array('class' => 'rus with-line'),
                        'linkOptions' => array('title' => Yii::app()->params['languageNames']['ru']),
                        'active' => Yii::app()->language == 'ru'
                    ),
                    array(
                        'url' => $this->createUrl('', array_merge($_GET, array('lang' => 'en'))),
                        'label' => '',
                        'itemOptions' => array('class' => 'eng'),
                        'linkOptions' => array('title' => Yii::app()->params['languageNames']['en']),
                        'active' => Yii::app()->language == 'en'
                    ),
                ),
                'encodeLabel' => false,
                'activateItems' => false,
            ));
            ?>
        </div>
<!--        <div class="header-soc">-->
<!--            <p>Мы в социальных сетях:</p>-->
<!--        </div>-->
        <div class="header-soc">
            <?php echo $this->socialLinks ;?>
            <p><?php echo Yii::t('site','Тюнинг:');?></p>
        </div>
        <div class="header-soc">
            <?php echo $this->socialLinksSport ;?>

            <p><?php echo Yii::t('site','Автоспорт:');?></p>
            <p class="header-soc-title"><?php echo Yii::t('site','Мы в социальных сетях');?></p>
        </div>
    </div>
    <div class="service-header-bottom">
        <div class="service-links">
            <?php
            $this->widget('SiteMenu', array(
                'items' =>$this->siteData['first_menu'],
                'encodeLabel' => false,
                'activateItems' => false,
            ));
            ?>
        </div>
        <div class="header-contacts">
		<p><?php echo Yii::t('site','Телефон тюнинг центра:');?></p>
            <p><span class="read-more"><?php echo CHtml::link('Смотреть все контакты', array('site/contact'))?> »</span>
            </p>
        </div>
    </div>
</div>
<div class="menu-wrapper">
    <?php
    $this->widget('SiteMenu', array(
        'items' =>$this->siteData['second_menu'],
        'encodeLabel' => false,
        'activateItems' => false,
    ));
    ?>
</div>
