<?php
/**
 * @var $this TextRootController
 * @var $content string
 */
?>
<?php $this->renderPartial('//snippets/headerGallery'); ?>
<!-- header end-->
<div class="wrapper content-wrapper">
    <div class="col-wrapper">
        <div class="col2">
            <ul class="sidebar-nav">

                <?php
                echo CHtml::link($this->getNode()->i18n->label, array('textRoot/index', 'node_id' => $this->getNode()->id)), '</li>';

                foreach ($this->getNode()->nodes as $node)
                    if (!$node->hidden) {
                        echo '<li>', CHtml::link($node->i18n->label, array('textSection/index', 'node_id' => $node->id)), '</li>';
                    } ?>
            </ul>
        </div>
        <div class="col8">
            <h1><?php echo $this->pageName?></h1>

            <div class="text-content">
                <?php echo $content;?>
            </div>
        </div>

        <div class="col2">
            <p class="section-title"><?php echo Yii::t('site','Есть вопросы?');?></p>

            <div class="text-content">
                <?php echo Yii::t('site','Обращайтесь к вашему персональному консультанту по тюнингу!');?>
            </div>
            <?php $this->renderPartial('//snippets/sidebarContacts');?>
        </div>
    </div>
</div>
