<?php
/**
 * @var $this TuningController
 * @var $tuningSet TuningSet
 * @var $htmlClass string
 */
$htmlClass = isset($htmlClass) ? $htmlClass : '';
?>
<a href="<?php echo CHtml::encode($this->createUrl('tuning/view', array(
    'brand' => $tuningSet->tuningModel->tuningBrand->link,
    'model' => $tuningSet->tuningModel->link,
    'set' => $tuningSet->link,
)))?>" class="catalog-similar-item <?php echo $htmlClass?>">
    <span class="catalog-similar-item-image">
        <span class="n-a-overlay"></span>
        <span class="catalog-similar-item-image-tail"></span>
        <?php echo CHtml::image($tuningSet->imageBehavior->getFileUrl('medium'));?>
    </span>
    <span class="catalog-similar-item-name">
        <?php echo $tuningSet->i18n->name;?>
    </span>
</a>