<?php
/**
 * @var $this TuningController
 * @var $service TuningService
 * @var $services[] TuningService[]
 * @var $contacts Contact[]
 */
?>
<?php $this->renderPartial('//snippets/headerGallery');?>
<!-- header end-->
<div class="wrapper content-wrapper">
    <div class="col-wrapper">
        <div class="col2">
            <p class="section-title"><?php echo Yii::t('site', 'Наши услуги');?></p>
            <ul class="sidebar-nav">
                <?php

                foreach ($this->getServices() as $item) {
                    if ($item->id == $service->id)
                        echo '<li class="active">';
                    else
                        echo '<li>';
                    echo CHtml::link($item->i18n->name, array('tuning/service', 'link' => $item->link)), '</li>';
                } ?>
            </ul>
            <p class="section-title"><?php echo Yii::t('site', 'Марки авто');?></p>
            <ul class="sidebar-nav">
                <?php foreach ($this->getBrands() as $brand): ?>
                <li><?php echo CHtml::link($brand->i18n->name, array('tuning/brand', 'brand' => $brand->link));?></li>
                <?php endforeach; ?>
            </ul>
        </div>
        <div class="col8">
            <ul class="crumbs">
                <li><?php echo CHtml::link(Yii::t('site', 'Тюнинг автомобилей'), array('tuning/index'));?>→</li>
            </ul>
            <h1><?php echo $this->pageName?></h1>

            <div class="text-content">
                <?php echo $service->i18n->content;?>
            </div>
        </div>

        <div class="col2">
            <p class="section-title"><?php echo Yii::t('site','Есть вопросы?');?></p>

            <div class="text-content">
                <?php echo Yii::t('site','Обращайтесь к вашему персональному консультанту по тюнингу!');?>
            </div>
            <?php $this->renderPartial('//snippets/sidebarContacts');?>
        </div>
    </div>
</div>
